# Uses of Class
org.eclipse.ui.Saveable

Packages that use Saveable
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Saveable in org.eclipse.team.ui.mapping

Subclasses of Saveable in org.eclipse.team.ui.mapping
Modifier and Type
Class
Description
`class`
`SaveableComparison`
A saveable comparison is used to buffer changes made when comparing or merging model elements.

## Uses of Saveable in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return Saveable
Modifier and Type
Method
Description
`protected Saveable`
SaveableCompareEditorInput.`createSaveable()`
Create the saveable that provides the save behavior for this compare editor input.
`Saveable[]`
SaveableCompareEditorInput.`getActiveSaveables()`
`protected Saveable`
SaveableCompareEditorInput.`getSaveable()`
Get the saveable that provides the save behavior for this compare editor input.
`Saveable[]`
SaveableCompareEditorInput.`getSaveables()`

## Uses of Saveable in org.eclipse.ui

Methods in org.eclipse.ui that return Saveable
Modifier and Type
Method
Description
`Saveable[]`
ISaveablesSource.`getActiveSaveables()`
Returns the saveables currently active in the workbench part.
`Saveable[]`
ISaveablesSource.`getSaveables()`
Returns the saveables presented by the workbench part.
`Saveable[]`
SaveablesLifecycleEvent.`getSaveables()`
Returns the affected saveables.
Methods in org.eclipse.ui with parameters of type Saveable
Modifier and Type
Method
Description
`boolean`
ISaveableFilter.`select(Saveable saveable, IWorkbenchPart[] containingParts)`
Indicate whether the given saveable matches this filter.
Constructors in org.eclipse.ui with parameters of type Saveable
Modifier
Constructor
Description
``
`SaveablesLifecycleEvent(Object source, int eventType, Saveable[] saveables, boolean force)`
Creates a new SaveablesLifecycleEvent.

## Uses of Saveable in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type Saveable
Modifier and Type
Method
Description
`boolean`
ResourceSaveableFilter.`select(Saveable saveable, IWorkbenchPart[] containingParts)`

## Uses of Saveable in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return Saveable
Modifier and Type
Method
Description
`Saveable[]`
CommonNavigator.`getActiveSaveables()`
`Saveable[]`
INavigatorSaveablesService.`getActiveSaveables()`
Returns the active saveables based on the current selection.
`abstract Saveable`
SaveablesProvider.`getSaveable(Object element)`
Returns the saveable for the given element, or null if the element does not represent a saveable.
`Saveable[]`
CommonNavigator.`getSaveables()`
`Saveable[]`
INavigatorSaveablesService.`getSaveables()`
Returns the Saveable objects for which elements are contained in the tree.
`abstract Saveable[]`
SaveablesProvider.`getSaveables()`
Returns the saveables reachable through this provider.
Methods in org.eclipse.ui.navigator with parameters of type Saveable
Modifier and Type
Method
Description
`protected final void`
SaveablesProvider.`fireSaveablesClosed(Saveable[] models)`
Notifies the listener that the given models were closed in this model provider.
`protected final boolean`
SaveablesProvider.`fireSaveablesClosing(Saveable[] models, boolean force)`
Notifies the listener that the given models are about to be closed in this model provider.
`protected final void`
SaveablesProvider.`fireSaveablesDirtyChanged(Saveable[] models)`
Notifies the listener that the given models' dirty state has changed.
`protected final void`
SaveablesProvider.`fireSaveablesOpened(Saveable[] models)`
Notifies the listener that the given models were opened in this model provider.
`abstract Object[]`
SaveablesProvider.`getElements(Saveable saveable)`
Returns the elements representing the given saveable.

## Uses of Saveable in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources that return Saveable
Modifier and Type
Method
Description
`Saveable[]`
ProjectExplorer.`getActiveSaveables()`
`Saveable[]`
ProjectExplorer.`getSaveables()`

## Uses of Saveable in org.eclipse.ui.texteditor

Subclasses of Saveable in org.eclipse.ui.texteditor
Modifier and Type
Class
Description
`protected static class`
`AbstractTextEditor.TextEditorSavable`
This text editor's savable.
Methods in org.eclipse.ui.texteditor that return Saveable
Modifier and Type
Method
Description
`Saveable[]`
AbstractTextEditor.`getActiveSaveables()`
`Saveable[]`
AbstractTextEditor.`getSaveables()`